clear
cd exp
morrow_data
cd ../fixed_wet
fixed_wett
cd ../frac_wet
frac_wett
cd ..

I_wo_fixed = fixed_data(:,4)-fixed_data(:,5);
I_wo_vari = frac_data(:,4)-frac_data(:,5);

figPos = [10 10 560 900];
figure('Position', figPos)

subplot(2, 1 ,1)
hold on
box on
plot(rec_fact(:,1), rec_fact(:,3), 'kx', I_wo_vari, frac_data(:,6), 'ko', 'LineWidth', 1, 'MarkerSize', 5)
plot(I_wo_fixed, fixed_data(:,6), 'ko', 'MarkerFaceColor', 'black', 'LineWidth', 1, 'MarkerSize', 5)
xlim([-1.0 1.0]);
ylim([0.5 0.9]);
set(gca,'YTick',0:0.1:1.0)
set(gca,'XTick',-1.0:0.50:1.0)
set(gca,'FontName', 'helvetica')
set(gca,'FontSize', 16)
set(gca, 'LineWidth', 1)
xlabel('Amott Wettability Index, {I_{w-o}}')
ylabel('Oil Recovery (Fraction of OIP)')
m_l = legend('Experimental', 'Variable wettability', 'Fixed wettability', 4)
set(m_l, 'LineWidth', 1)

subplot(2, 1 ,2)
hold on
box on
plot(rec_fact(:,1), rec_fact(:,4), 'kx', I_wo_vari, frac_data(:,7), 'ko', 'LineWidth', 1, 'MarkerSize', 5)
plot(I_wo_fixed, fixed_data(:,7), 'ko', 'MarkerFaceColor', 'black', 'LineWidth', 1, 'MarkerSize', 5)
xlim([-1.0 1.0]);
ylim([0.5 1.0]);
set(gca,'YTick',0:0.1:1.0)
set(gca,'XTick',-1.0:0.50:1.0)
set(gca,'FontName', 'helvetica')
set(gca,'FontSize', 16)
set(gca, 'LineWidth', 1)
xlabel('Amott Wettability Index, {I_{w-o}}')
ylabel('Oil Recovery (Fraction of OIP)')

set(gcf, 'PaperPositionMode', 'auto');
print -r1200 -deps2 -tiff rf_i

