clear
cd exp
morrow_data
cd '../inf_pvi_swc=7.6'
oren_3_wett
cd '../inf_pvi_swc=swi'
oren_4_wett
cd  '../inf_pvi_rmin'
oren_rmin_wett
cd ..

I_wo_inf = oren_3_data(:,3)-oren_3_data(:,4);
I_wo_swi = oren_4_data(:,3)-oren_4_data(:,4);
I_wo_rmin = oren_rmin_data(:,3)-oren_rmin_data(:,4);


figPos = [10 10 560 900];
figure('Position', figPos)

subplot(2, 1 ,1)
hold on
box on
plot(rec_fact(:,1), rec_fact(:,3), 'kx',  'LineWidth', 1, 'MarkerSize', 5)
plot(I_wo_inf, oren_3_data(:,5), 'ko', 'LineWidth', 1, 'MarkerSize', 5)
plot(I_wo_rmin, oren_rmin_data(:,5), 'ks', 'LineWidth', 1, 'MarkerSize', 5)
plot(I_wo_swi, oren_4_data(:,5), 'ko', 'MarkerFaceColor', 'black', 'LineWidth', 1, 'MarkerSize', 5)

xlim([-1.0 1.0]);
ylim([0.5 0.9]);
set(gca,'YTick',0:0.1:1.0)
set(gca,'XTick',-1.0:0.50:1.0)
set(gca,'FontName', 'helvetica')
set(gca,'FontSize', 16)
set(gca, 'LineWidth', 1)
xlabel('Amott Wettability Index, Iw-o')
ylabel('Oil Recovery (Fraction of OIP)')

subplot(2, 1 ,2)
hold on
box on
plot(rec_fact(:,1), rec_fact(:,4), 'kx',  'LineWidth', 1, 'MarkerSize', 5)
plot(I_wo_inf, oren_3_data(:,7), 'ko', 'LineWidth', 1, 'MarkerSize', 5)
plot(I_wo_rmin, oren_rmin_data(:,7), 'ks', 'LineWidth', 1, 'MarkerSize', 5)
plot(I_wo_swi, oren_4_data(:,7), 'ko', 'MarkerFaceColor', 'black', 'LineWidth', 1, 'MarkerSize', 5)

xlim([-1.0 1.0]);
ylim([0.5 1.0]);
set(gca,'YTick',0:0.1:1.0)
set(gca,'XTick',-1.0:0.50:1.0)
set(gca,'FontName', 'helvetica')
set(gca,'FontSize', 16)
set(gca, 'LineWidth', 1)
xlabel('Amott Wettability Index, Iw-o')
ylabel('Oil Recovery (Fraction of OIP)')

m_l = legend('Experimental', 'Infinite PVI', 'rmin corr.', 'Swi = Swc', 3)
set(m_l, 'LineWidth', 1)

set(gcf, 'PaperPositionMode', 'auto');
print -r1200 -deps2 -tiff rf_i

