clear
cd exp
morrow_data
cd ../fixed_wet
fixed_wett
cd ../frac_wet
frac_wett
cd ..

figPos = [10 10 560 900];
figure('Position', figPos)

subplot(2, 1 ,1)
hold on
box on
plot(wett_data(:,2), wett_data(:,4), 'kx', frac_data(:,1), frac_data(:,4), 'ko', 'LineWidth', 1, 'MarkerSize', 5)
plot(fixed_data(:,1), fixed_data(:,4), 'ko', 'MarkerFaceColor', 'black', 'LineWidth', 1, 'MarkerSize', 5)
xlim([0 0.4]);
ylim([0 0.6]);
set(gca,'YTick',0:0.1:0.6)
set(gca,'XTick',0:0.1:0.4)
set(gca,'FontName', 'helvetica')
set(gca,'FontSize', 14)
set(gca, 'LineWidth', 1)
xlabel('Initial Water Saturation')
ylabel('Amott Water Index, I_w')
m_l = legend('Experimental', 'Variable wettability', 'Fixed wettability', 2);
set(m_l, 'LineWidth', 1)
text(0.025, 0.05, '(a)', 'FontName', 'helvetica', 'FontSize', 14)

subplot(2, 1 ,2)
hold on
box on
plot(wett_data(:,2), wett_data(:,5), 'kx', frac_data(:,1), frac_data(:,5), 'ko', 'LineWidth', 1, 'MarkerSize', 5)
plot(fixed_data(:,1), fixed_data(:,5), 'ko', 'MarkerFaceColor', 'black', 'LineWidth', 1, 'MarkerSize', 5)
xlim([0 0.4]);
ylim([0 0.6]);
set(gca,'YTick',0:0.1:0.6)
set(gca,'XTick',0:0.1:0.4)
set(gca,'FontName', 'helvetica')
set(gca,'FontSize', 14)
xlabel('Initial Water Saturation')
ylabel('Amott Oil Index, I_o')
set(gca, 'LineWidth', 1)
text(0.025, 0.05, '(b)', 'FontName', 'helvetica', 'FontSize', 14)

set(gcf, 'PaperPositionMode', 'auto');
print -r1200 -deps2 -tiff swi_i_phd

